> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a cycle

> Updates an existing cycle by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>The unique identifier of the project.</ParamField>

<ParamField path="cycle_id" type="string" required>The unique identifier for the cycle.</ParamField>

## Body parameters

<ParamField body="name" type="string">
  Name of the cycle.
</ParamField>

<ParamField body="description" type="string">
  Description of the cycle.
</ParamField>

<ParamField body="start_date" type="string">
  Start date of the cycle in YYYY-MM-DD format.
</ParamField>

<ParamField body="end_date" type="string">
  End date of the cycle in YYYY-MM-DD format.
</ParamField>

<ParamField body="owned_by" type="string">
  ID of the user who owns the cycle.
</ParamField>

<ParamField body="external_source" type="string">
  External source identifier.
</ParamField>

<ParamField body="external_id" type="string">
  External ID from the external source.
</ParamField>

<ParamField body="timezone" type="string">
  Timezone for the cycle.
</ParamField>
